Bug 275718 - Sort out the notifyrc mess
Summary: Sort out the notifyrc mess
Status: RESOLVED FIXED
Alias: None
Product: telepathy
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal
Target Milestone: 0.4.0
Assignee: Daniele E. Domenichelli
URL:
Keywords:
Depends on:
Blocks: tppreviewrelease
  Show dependency treegraph
 
Reported: 2011-06-15 15:51 UTC by George Goldberg
Modified: 2012-07-06 12:47 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Goldberg 2011-06-15 15:51:12 UTC
Sort out the .notifyrc file mess. We have at least 4 entries in the systemsettings notification section now. These should all be consolidated into one easy to manage entry.
Comment 1 Francesco Nwokeka 2011-06-18 13:33:54 UTC
How can we do this? I offer to solve the issue. Is using the notifyrc file of one component sufficient? For example, we could make all components use the "accounts-kcm" notifyrc as it's indispensable for kde-tp to work. 

Later on, when a deamon to handle all notifications will be added, we will move it there.
Any comments?
Comment 2 Daniele E. Domenichelli 2011-06-23 01:13:30 UTC
[16:15:16] <drdanz> And btw do we have a common notification configuration or each app will have its own?
[16:15:32] <d_ed> I think we should have a common config
[16:15:38] <gkiagia> we should have something common
[16:16:06] <d_ed> we have 5 entries in systemsettings at the moment!
[16:16:08] <d_ed> it's ridiculous
[16:16:10] <d_ed> https://bugs.kde.org/show_bug.cgi?id=275718
[16:16:13] <bugbot> KDE bug 275718 in telepathy (general) "Sort out the notifyrc mess" [Normal,New]
[16:16:23] <drdanz> me too, but I'm not sure if it will work...
[16:16:46] <d_ed> it does, you can fake a KComponentData to KNotify
[16:16:53] <drdanz> cool!
[16:17:03] <d_ed> assigned to: Drdanz
[16:17:07] <d_ed> :-D

-------------

[00:09:38] <drdanz> Which component is supposed to install the notifications? I think we should have a "telepathy-common" repository with notifications, icons, and other common stuff
[00:10:12] <d_ed> currently icons are shipped with the contact list
[00:10:37] <drdanz> I know, but what if I don't want the contact list?
[00:10:43] <d_ed> arguably notifyrc files are of a similar vain - but I think a telepathy-common or telepathy-data makes a lot of sense
[00:11:38] <d_ed> I'd be all for it (I wanted a library too) but you'll need approval from the majority on the ML
Comment 3 Martin Klapetek 2011-06-23 09:45:13 UTC
I'd prefer telepathy-kde-common, so it's clear that it's about our KDE components rather than general Telepathy stuff.
Comment 4 David Edmundson 2011-07-16 13:29:34 UTC
Fixed by nwoki and me